﻿using System;
using System.Windows.Forms;
using GTA;

public class wanted_level_manager : Script
{
    string text = "####"; // 入力用。大文字

    int wantedLevel = -1;//ロックした手配度。-1でないならロック中

    public wanted_level_manager()
    {
        Interval = 1000;
        Tick += new EventHandler(wanted_level_manager_Tick);
        KeyDown += new GTA.KeyEventHandler(wanted_level_manager_KeyDown);
    }

    void wanted_level_manager_Tick(object sender, EventArgs e)
    {
        if (wantedLevel != -1)
        {
            if (Player.WantedLevel != wantedLevel)
            {
                Player.WantedLevel = wantedLevel;
            }
        }
    }

    void wanted_level_manager_KeyDown(object sender, GTA.KeyEventArgs e)
    {
        if (e.Key.ToString().Length < 3)
        {
            text = text.Remove(0, e.Key.ToString().Length) + e.Key.ToString();
        }

        if (text == "LVD0" || text == "LVD1" || text == "LVD2" || text == "LVD3" || text == "LVD4" || text == "LVD5" || text == "LVD6")
        {
            text = "####";
            wantedLevel = -1;
            if (text != "LVD0")
            {
                Player.Character.WantedByPolice = true;
            }
            Player.WantedLevel = int.Parse(e.Key.ToString().Remove(0, 1));
            Game.DisplayText("Changed Wanted Level Into " + int.Parse(e.Key.ToString().Remove(0, 1)));
        }
        else if (text == "LOCK")
        {
            text = "####";
            if (wantedLevel == -1)
            {
                wantedLevel = Player.WantedLevel;
                Game.DisplayText("Locked Wanted Level");
            }
            else
            {
                wantedLevel = -1;
                Game.DisplayText("Unlocked Wanted Level");
            }
        }
    }
}